package cn.iocoder.yudao.module.basic.convert.vendorinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.basic.api.vendorinfo.dto.VendorInfoRespDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.basic.controller.admin.vendorinfo.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.vendorinfo.VendorInfoDO;

/**
 * 供应商 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface VendorInfoConvert {

    VendorInfoConvert INSTANCE = Mappers.getMapper(VendorInfoConvert.class);

    VendorInfoDO convert(VendorInfoCreateReqVO bean);

    VendorInfoDO convert(VendorInfoUpdateReqVO bean);

    VendorInfoRespVO convert(VendorInfoDO bean);

    List<VendorInfoRespVO> convertList(List<VendorInfoDO> list);

    PageResult<VendorInfoRespVO> convertPage(PageResult<VendorInfoDO> page);

    List<VendorInfoOfOptionsRespVO> convertToOptionsList(List<VendorInfoDO> list);

    VendorInfoRespDTO convertToDTO(VendorInfoDO bean);

    List<VendorInfoRespDTO> convertToDTOList(List<VendorInfoDO> list);
}
